| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | Static Public Attributes | Private Attributes | List of all members
zotsh.ZotSH Class Reference
Inheritance diagram for zotsh.ZotSH:

## Public Member Functions
def | __init__
def | host
def | host
def | hostname
def | hostname
def | session
def | session
def | PS1
def | get_host_session
def | do
def | cmd_exists
def | cmd_mkdir
def | cmd_mkdirs
def | cmd_rmdir
def | cmd_delete
def | cmd_upload
def | cmd_download
def | cmd_host
def | cmd_pwd
def | cmd_ls
def | cmd_lpwd
def | cmd_lcd
def | cmd_lls
def | cmd_help
def | cmd_cat

## Public Attributes
| sessions
| host
| session
| davclient
| hostname

## Static Public Attributes
list | commands

## Private Attributes
| _host
| _hostname
| _session

## Constructor & Destructor Documentation

def zotsh.ZotSH.__init__ | ( |  | self,
|  |  | host,
|  |  | session = `None`,
|  |  | davclient = `None`
| ) |  |

## Member Function Documentation

def zotsh.ZotSH.cmd_cat | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_delete | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_download | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_exists | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_help | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_host | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_lcd | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_lls | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_lpwd | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_ls | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_mkdir | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_mkdirs | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_pwd | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_rmdir | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.cmd_upload | ( |  | self,
|  |  | args
| ) |  |

def zotsh.ZotSH.do | ( |  | self,
|  |  | command,
|  |  | args
| ) |  |

def zotsh.ZotSH.get_host_session | ( |  | self,
|  |  | host = `None`
| ) |  |

Referenced by zotsh.ZotSH.cmd_host().

def zotsh.ZotSH.host | ( |  | self | ) |

def zotsh.ZotSH.host | ( |  | self,
|  |  | host
| ) |  |

def zotsh.ZotSH.hostname | ( |  | self | ) |

def zotsh.ZotSH.hostname | ( |  | self,
|  |  | hostname
| ) |  |

def zotsh.ZotSH.PS1 | ( |  | self | ) |

def zotsh.ZotSH.session | ( |  | self | ) |

def zotsh.ZotSH.session | ( |  | self,
|  |  | session
| ) |  |

## Member Data Documentation

zotsh.ZotSH._host
| private

Referenced by zotsh.ZotSH.host(), and zotsh.ZotSH.hostname().

zotsh.ZotSH._hostname
| private

Referenced by zotsh.ZotSH.hostname().

zotsh.ZotSH._session
| private

Referenced by zotsh.ZotSH.session().

list zotsh.ZotSH.commands
| static

Initial value:
1 = ['cd','ls','exists','mkdir','mkdirs','rmdir','delete','upload','download',
2 'host', 'pwd','cat',
3 'lcd','lpwd', 'lls',
4 'quit', 'help']

Referenced by zotsh.ZotSH.cmd_help(), and zotsh.ZotSH.do().

zotsh.ZotSH.davclient

Referenced by zotsh.ZotSH.do(), and zotsh.ZotSH.PS1().

zotsh.ZotSH.host

Referenced by zotsh.ZotSH.cmd_host(), and zotsh.ZotSH.host().

zotsh.ZotSH.hostname

Referenced by zotsh.ZotSH.hostname(), and zotsh.ZotSH.PS1().

zotsh.ZotSH.session

Referenced by zotsh.ZotSH.cmd_host(), zotsh.ZotSH.get_host_session(), and zotsh.ZotSH.session().

zotsh.ZotSH.sessions

The documentation for this class was generated from the following file:

- util/zotsh/zotsh.py